Module(MoreLabels.Map.Make)

NAME
MoreLabels.Map.Make - no description

Module
Module MoreLabels.Map.Make

Documentation

Module Make
 : functor (Ord : OrderedType) -> sig end

Parameters:

"Ord"
    MoreLabels.Map.OrderedType

    type key

    type +'a t

    val empty : 'a t

    val add : key:key -> data:'a -> 'a t -> 'a t

    val find : key -> 'a t -> 'a

    val remove : key -> 'a t -> 'a t

    val mem : key -> 'a t -> bool

    val iter : f:(key:key -> data:'a -> unit) -> 'a t -> unit

    val map : f:('a -> 'b) -> 'a t -> 'b t

    val mapi : f:(key -> 'a -> 'b) -> 'a t -> 'b t

    val fold : f:(key:key -> data:'a -> 'b -> 'b) -> 'a t -> init:'b -> 'b